Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.webgui.domain
Enum Role

    java.lang.Object
      java.lang.Enum<Role>
          kieker.webgui.domain.Role

All Implemented Interfaces:
  Serializable, Comparable<Role>

    public enum Role

extends Enum<Role>

This enumeration represents the available roles within the system.

Author:
  Nils Christian Ehmke

Enum Constant Summary
`ADMINISTRATOR` Represents an administrator within the system.
`GUEST` Represents a guest within the system.
`USER` Represents an user within the system.

Method Summary
`static Role` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GUEST

    public static final Role GUEST

  Represents a guest within the system.

### USER

    public static final Role USER

  Represents an user within the system.

### ADMINISTRATOR

    public static final Role ADMINISTRATOR

  Represents an administrator within the system.

Method Detail

### values

    public static Role[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Role c : Role.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Role valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All rights reserved.